#include <stdio.h>
#include <stdlib.h>


typedef struct { double re, im; } complex;

typedef struct { double mudim, delta; } common_uvpara;

extern common_uvpara uvpara_;

void a0_(complex *, const double *);


int main(int argc, char **argv)
{
  double m, mudim = 1, delta = 0;
  complex a0res;

  if( argc < 2 ) {
    fprintf(stderr, "Usage: %s mass [mudim] [delta]\n"
      "-- compute the A0 function\n", argv[0]);
    exit(1);
  }

  m = atof(argv[1]);
  if( argc > 2 ) {
    uvpara_.mudim = atof(argv[2]);
    printf("using mudim = %g\n", uvpara_.mudim);
  }
  if( argc > 3 ) {
    uvpara_.delta = atof(argv[3]);
    printf("using delta = %g\n", uvpara_.delta);
  }

  a0_(&a0res, &m);

  printf("A0(%g) = %g + %g i\n", m, a0res.re, a0res.im);
}

